package com.unibuy.smartdevice.structure;

public class MemberVerificationStructure {
    private String productId;
    private int productPrice;
    private String memberBarCode;
    private int verificationType;

    public MemberVerificationStructure(String productId, int productPrice, String memberBarCode, int verificationType) {
        this.productId = productId;
        this.productPrice = productPrice;
        this.memberBarCode = memberBarCode;
        this.verificationType = verificationType;
    }

    public String getProductId() {
        return productId;
    }

    public void setProductId(String productId) {
        this.productId = productId;
    }

    public int getProductPrice() {
        return productPrice;
    }

    public void setProductPrice(int productPrice) {
        this.productPrice = productPrice;
    }

    public String getMemberBarCode() {
        return memberBarCode;
    }

    public void setMemberBarCode(String memberBarCode) {
        this.memberBarCode = memberBarCode;
    }

    public int getVerificationType() {
        return verificationType;
    }

    public void setVerificationType(int verificationType) {
        this.verificationType = verificationType;
    }

    @Override
    public String toString() {
        return "MemberVerificationStructure{" +
                "productId='" + productId + '\'' +
                ", productPrice='" + productPrice + '\'' +
                ", memberBarCode='" + memberBarCode + '\'' +
                ", verificationType='" + verificationType + '\'' +
                '}';
    }
}
